@use "../../../global/styles-variables" as *;

:host {
	display: block;

	.digi-docs-component-list {

		&__filters {
			margin-top: var(--digi--margin--largest);
			margin-bottom: var(--digi--margin--largest);
		}

		&__search-filter {
			max-width: 50%;
			margin-bottom: var(--digi--margin--large);

			@media screen and (max-width: $digi--breakpoint--large-below) {
				max-width: 100%;
			}
		}

		&__list {
			display: grid;
			grid-template-columns: 50% 50%;
			column-gap: var(--digi--padding--large);
			row-gap: var(--digi--padding--medium);

			@media screen and (max-width: $digi--breakpoint--xx-large-below) {
				grid-template-columns: 1fr;
			}
		}

		&__item-heading {
			font-weight: var(--digi--typography--heading-2--font-weight--desktop);

			span {
				font-size: var(--digi--typography--heading-3--font-size--desktop);
			}
		}
  }
}
